Subject: Re: .gitlink for Summer of Code

From: Matthieu Moy <[email-masked]>
Date: Sun, 25 Mar 2007 17:20:38 +0200

Eric Lesh <[email-masked]> writes:

> .gitlink is for a lightweight checkout of a branch into a separate
> directory on the local filesystem.

I think it's a pitty to restrict yourself to _local_ filesystem. There
are tons of cases where you have a fast, non-NFS, access to a machine
and would like to host your repository there.

That said, I suppose removing this restriction moves the solution from
the category "quick and efficient hack" to something much harder.

> A .gitlink'ed checkout has its own index+HEAD, but otherwise refers
> back to the main repository for objects, refs, etc.

Stupid question: why .gitlink, and not .git/link or so? This file is
not versionned, I don't think it should be in the working tree.

-- 
Matthieu